<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PresupuestoDetalle extends Model
{
    use HasFactory;

    protected $table = 'presupuesto_detalles';
    protected $fillable = ['presupuesto_id', 'producto_id', 'price', 'quantity', 'tax', 'tax_no_inscr', 'total', 'discount', 'details', 'alto', 'ancho', 'espesor', 'calidad_id', 'plisas', 'diametro_interior', 'diametro_exterior', 'material_id', 'mallas', 'plisas_x_pl', 'currency'];

    public function prespuesto()
    {
        return $this->belongsTo(Presupuesto::class, 'presupuesto_id');
    }

    public function producto()
    {
        return $this->belongsTo(Producto::class, 'producto_id');
    }

    public function planos()
    {
        return $this->hasMany(PresupuestoDetallePlano::class, 'presupuesto_detalle_id');
    }
}
